$(function () {
	function hideAllPanels(){
		for(var i = 0; i < options.panelOrder.length; i++){ //hide all
			allPanels[options.panelOrder[i]].hide();
		}
	}
	loadSetting(function(){
		document.body.style.width = options.winWidth + "px"
		document.body.style.height = options.winHeight +"px"
		
		theSearchBar.appendTo("body");	//add search bar	
		
		for(var i = 0; i < options.panelOrder.length; i++){
			
			var newButton = $("<div></div>");
			var panelName = options.panelOrder[i];
			
			newButton.attr("title", chrome.i18n.getMessage(panelName));
			newButton.addClass("button");
			newButton.css("background-image", "url('../img/" + panelName + ".png')");
			newButton.data("panel", allPanels[panelName]); //bind panel
			
			allPanels[panelName].appendTo("body");	//add panel		

			newButton.mouseover(function(){
				var theButton = $(this);
	            theButton.data("isMouseOver", true);
				setTimeout(function() {
					if(theButton.data("isMouseOver")) {
						hideAllPanels();
						theButton.data("panel").show(); //show the panel						
					}
				}, 200);
			});

	        newButton.mouseout(function() {
				$(this).data("isMouseOver", false);
			});
			
			newButton.on("click auxclick", function(e){
				if(e.which === 2) $(this).data("panel").middleAction();
			});
			
			$("#buttons").append(newButton); //add button
			
		}
		
		if(backgroundPage.prgressCount > 0 ||  backgroundPage.finishCount > 0  ||  backgroundPage.interruptCount > 0){
			allPanels["downloads"].show();	//show downloads panel			
		}else{
			allPanels[options.panelOrder[options.panelOrder.length - 1]].show();				
		}
	});
});