var allPanels = {};
var backgroundPage = chrome.extension.getBackgroundPage();

var options = {
	panelOrder : [
		"bookmarks",
		"extensions",
		"downloads",
		"history",
		"tabs"
	],
	showNotify: true,
	hideDownloadShelf: false,
	showDownloadNotify: false,
	winWidth: 256,
	winHeight: 500
};

function loadSetting(callback){
	chrome.storage.sync.get(function(data) {
		for(var property in options){
			if(data.hasOwnProperty(property)) {
				options[property] = data[property];
			}
		}
		if(callback != null) callback();
	});
}

function saveSetting(callback){
	if(callback != null){
		chrome.storage.sync.set(options, callback);
	}else{
		chrome.storage.sync.set(options);
	}
}